Subject: RE: [dnsext] Charter discussion - Use of DNSSEC in applications

From: "[email-masked]" <[email-masked]>
Date: Mon, 02 Aug 2010 08:33:26 +0000

Hi Baker,

Personally agree with you much, there should be relevant discussion in IETF about using DNSSEC in applications from end users, OS service enabler, and service providers perspectives. Even possible interaction from DNS operator side.

Because DNS/DNSSEC works as a backend application, so end users possibly has no idea to differentiate when or where DNSSEC is used.

And support one new DNSAPP WG to do this, a bar BoF on IETF#79 is welcome :)

Regards,

  Wang Feng. Shawn

-----Original Message-----
From: Phillip Hallam-Baker
Sent:  31/07/2010 00:16:48
Subject:  [dnsext] Charter discussion - Use of DNSSEC in applications

One issue missing from the charter is the question of use of DNSSEC in
applications. I think that this is an area that has to be looked at
very carefully, even if the result is an RFC that says 'bad idea'.

In particular, now that we can start to assume that there is going to
be a DNSSEC capability we can think about moving network configuration
data out into the DNS as a matter of course.

I would like to see documents of the type 'how to easily and securely
hook up a mail client to a server by means of DNSSEC secured RRs'.
Part of that effort may be something that the application concerned
has to deal with, but I see a need for additional DNS RRs and I would
like the approach taken by email and the web and jabber to be
relatively consistent.

-- 
Website: http://hallambaker.com/